POD2MARKDOWN(1)

NAME
pod2markdown - Convert POD text to Markdown

VERSION
version 3.400

SYNOPSIS
    # parse STDIN, print to STDOUT
    $ pod2markdown < POD_File > Markdown_File

    # parse file, print to STDOUT
    $ pod2markdown input.pod

    # parse file, print to file
    $ pod2markdown input.pod output.mkdn

    # parse STDIN, print to file
    $ pod2markdown - output.mkdn

DESCRIPTION
This program uses Pod::Markdown to convert POD into Markdown sources.

UTF-8 is the default output encoding if no encoding options are specified (see "OPTIONS").

It accepts two optional arguments:

•   input pod file (defaults to "STDIN")

•   output markdown file (defaults to "STDOUT")

OPTIONS

--html-encode-chars
    A list of characters to encode as HTML entities. Pass a regexp character class, or 1 to mean control chars, high-bit chars, and "<&>"'".

    See "html_encode_chars" in Pod::Markdown for more information.

--match-encoding (-m)
    Use the same "=encoding" as the input pod for the output file.

--local-module-url-prefix
    Alters the perldoc urls that are created from "L<>" codes when the module is a "local" module ("Local::*" or "Foo_Corp::*" (see perlmodlib)).

    The default is to use "perldoc_url_prefix".

    See "local_module_url_prefix" in Pod::Markdown for more information.

--man-url-prefix
    Alters the man page urls that are created from "L<>" codes.

    The default is "http://man.he.net/man".

    See "man_url_prefix" in Pod::Markdown for more information.

--perldoc-url-prefix
    Alters the perldoc urls that are created from "L<>" codes. Can be:

    •   "metacpan" (shortcut for "https://metacpan.org/pod/")

    •   "sco" (shortcut for "http://search.cpan.org/perldoc?")

    •   any url

    The default is "metacpan".

    See "perldoc_url_prefix" in Pod::Markdown for more information.

--output-encoding (-e)
    Specify the encoding for the output file.

--utf8 (-u)
    Alias for "-e UTF-8".

SEE ALSO
This program is strongly based on "pod2mdwn" from Module::Build::IkiWiki.

AUTHORS

•   Marcel Gruenauer <marcel@cpan.org>

•   Victor Moral <victor@taquiones.net>

•   Ryan C. Thompson <rct at thompsonclan d0t org>

•   Aristotle Pagaltzis <pagaltzis@gmx.de>

•   Randy Stauner <rwstauner@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2011 by Randy Stauner.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.